org.codehaus.groovy.reflection.v7

## Class GroovyClassValueJava7<T>

- java.lang.Object
- - java.lang.ClassValue<T>
  - - org.codehaus.groovy.reflection.v7.GroovyClassValueJava7<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  GroovyClassValue<T>

    public class GroovyClassValueJava7<T>
    extends java.lang.ClassValue<T>
    implements GroovyClassValue<T>

GroovyClassValue implementaion that simply delegates to Java 7's java.lang.ClassValue

See Also:
  `ClassValue`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.codehaus.groovy.reflection.GroovyClassValue

`GroovyClassValue.ComputeValue<T>`

### Constructor Summary

Constructors
Constructor and Description
`GroovyClassValueJava7(GroovyClassValue.ComputeValue<T> computeValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected T` `computeValue(java.lang.Class<?> type)`

### Methods inherited from class java.lang.ClassValue

`get, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.groovy.reflection.GroovyClassValue

`get, remove`

### Constructor Detail

#### GroovyClassValueJava7

    public GroovyClassValueJava7(GroovyClassValue.ComputeValue<T> computeValue)

### Method Detail

#### computeValue

    protected T computeValue(java.lang.Class<?> type)

Specified by:
  `computeValue` in class `java.lang.ClassValue<T>`